Bug 81382 - [fix] databases/php5-oracle: oracle extension doesn't work
Summary: [fix] databases/php5-oracle: oracle extension doesn't work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-23 08:00 UTC by Simun Mikecin
Modified: 2005-06-14 15:27 UTC (History)
0 users

See Also:


Attachments
file.diff (3.75 KB, patch)
2005-05-23 08:00 UTC, Simun Mikecin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simun Mikecin 2005-05-23 08:00:20 UTC
	oracle.so has undefined symbols, so it isn't usable at all.  This is
	because of the way it is linked to the libraries from the
	oracle7-client port.  Those libraries have circular dependency to
	each other, and that can't be solved if linking using gcc since gcc
	removes duplicate "-larchive" parameters before sending it to ld. 
	My patch solves this by linking with only one library (recreated
	from libraries in the oracle7-client port).

How-To-Repeat: 	$ php -r 'echo "Hello World\n";'
	PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20041030/oracle.so' - /usr/local/lib/php/20041030/oracle.so: Undefined symbol "nscontrol" in Unknown on line 0
	Hello World
Comment 1 Pav Lucistnik freebsd_committer 2005-05-24 21:52:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to extensions lord
Comment 2 Alex Dupre freebsd_committer 2005-06-14 15:27:34 UTC
State Changed
From-To: open->closed

Committed, thanks!